## pesto 16

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/Mailtools.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/Mailtools.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

=== debian/changelog ===
pesto (16-2) unstable; urgency=low

  * It's not compatible with python 2.4 (Closes: #582050)

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Sun, 23 May 2010 18:03:12 -0300

pesto (16-1) unstable; urgency=low

  * New Upstream Release
  * Switch to dpkg-source 3.0 (quilt) format

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Sat, 24 Apr 2010 23:33:21 -0300

pesto (13-2) unstable; urgency=low

  * Added watch file
  * Changing my email for Debian address
  * Removed DM-Upload-Allowed field
  * Updated Standards-Version to 3.8.4 (no changes)
  * Changed VCS fields to my new account in Alioth

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Fri, 09 Apr 2010 19:14:40 -0300

pesto (13-1) unstable; urgency=low

  * Initial release (Closes: #559760)

 -- Marcelo Jorge Vieira (metal) <metal@alucinados.com>  Mon, 21 Dec 2009 19:02:08 -0200

pesto (12-1) UNRELEASED; urgency=low

  * Initial release

 -- Marcelo Jorge Vieira (metal) <metal@alucinados.com>  Sun, 06 Dec 2009 12:55:17 -0200

=== debian/control ===
Source: pesto
Section: python
Priority: optional
Maintainer: Marcelo Jorge Vieira (metal) <metal@debian.org>
Build-Depends: debhelper (>= 7), python-setuptools, python-support
Standards-Version: 3.8.4
Homepage: http://pesto.redgecko.org/
Vcs-Git: git://git.debian.org/git/users/metal/pesto.git
Vcs-Browser: http://git.debian.org/?p=users/metal/pesto.git;a=summary

Package: python-pesto
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: apache2 | httpd
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Description: a library for Python web applications
 Its aim is to make writing WSGI web applications easy and fun.
 Pesto doesn't constrain you -- how you integrate with databases,
 what templating system you use or how you prefer to lay out your
 source files is up to you.
 .
 Pesto makes it easy to:
 .
    - Map any URI to any part of your application.
    - Produce unicode aware, standards compliant WSGI applications.
    - Interrogate WSGI request information -- form variables and HTTP
      request headers.
    - Create and manipulate HTTP headers, redirects, cookies etc.
    - Integrate with any other WSGI application or middleware, giving you
      access to a vast and growing resource.

## pesto 19

=== debian/changelog ===
pesto (19-1) unstable; urgency=low

  * New Upstream Release
  * Restored python 2.5 compatibility

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Sun, 26 Sep 2010 18:50:12 -0300

pesto (18-1) unstable; urgency=low

  * New Upstream Release

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Sat, 28 Aug 2010 17:23:07 -0300

pesto (17-1) unstable; urgency=low

  * New Upstream Release
  * Updated Standards-Version to 3.9.1 (no changes)
  * Pesto now depends on python 2.6+
  * Fixing copyright-refers-to-deprecated-bsd-license-file

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Tue, 17 Aug 2010 11:04:10 -0300

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Marcelo Jorge Vieira (metal) <metal@debian.org>
 Build-Depends: debhelper (>= 7), python-setuptools, python-support
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://pesto.redgecko.org/
 Vcs-Git: git://git.debian.org/git/users/metal/pesto.git
 Vcs-Browser: http://git.debian.org/?p=users/metal/pesto.git;a=summary
+XS-Python-Version: >= 2.5
 
 Package: python-pesto
 Architecture: all

## pesto 22

=== debian/changelog ===
pesto (22-1) unstable; urgency=low

  * New Upstream Release

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Tue, 15 Mar 2011 07:20:52 -0300

pesto (21-2) unstable; urgency=high

  * Missing dependency: repoze.lru (Closes: #611860)

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Tue, 15 Feb 2011 16:51:05 -0200

pesto (21-1) unstable; urgency=low

  * New Upstream Release

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Wed, 02 Feb 2011 14:09:48 -0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: python-pesto
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, ${python:Depends}, python-repoze.lru
 Suggests: apache2 | httpd
 XB-Python-Version: ${python:Versions}
 Provides: ${python:Provides}

## pesto 25

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = ../bin/sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pesto.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pesto.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pesto"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pesto"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pesto (25-1) unstable; urgency=low

  * New Upstream Release
  * Fixed description-synopsis-starts-with-article

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Mon, 10 Oct 2011 13:48:47 -0300

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Suggests: apache2 | httpd
 XB-Python-Version: ${python:Versions}
 Provides: ${python:Provides}
-Description: a library for Python web applications
+Description: Library for Python web applications
  Its aim is to make writing WSGI web applications easy and fun.
  Pesto doesn't constrain you -- how you integrate with databases,
  what templating system you use or how you prefer to lay out your

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/p/pesto/ \
  pesto-(.*).tar.gz
